#!/bin/sh
( cd usr/bin ; rm -rf psfaddtable )
( cd usr/bin ; ln -sf psfxtable psfaddtable )
( cd usr/bin ; rm -rf psfgettable )
( cd usr/bin ; ln -sf psfxtable psfgettable )
( cd usr/bin ; rm -rf psfstriptable )
( cd usr/bin ; ln -sf psfxtable psfstriptable )
( cd usr/share/kbd/keymaps/i386/qwerty ; rm -rf ko.map.gz )
( cd usr/share/kbd/keymaps/i386/qwerty ; ln -sf us.map.gz ko.map.gz )
( cd usr/share/kbd/keymaps ; rm -rf ppc )
( cd usr/share/kbd/keymaps ; ln -sf mac ppc )

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/rc.d/rc.font.new
config etc/rc.d/rc.keymap.new

